Bug 248295 - www/py-feedgenerator: Replace gratuitous non-ASCII characters
Summary: www/py-feedgenerator: Replace gratuitous non-ASCII characters
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-27 14:25 UTC by John W. O'Brien
Modified: 2020-07-30 10:06 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)
koobs: merge-quarterly?


Attachments
www/py-feedgenerator: Replace gratuitous non-ASCII characters (1.94 KB, patch)
2020-07-27 14:25 UTC, John W. O'Brien
no flags Details | Diff
www/py-feedgenerator: Explicitly decode README as UTF-8 (2.22 KB, patch)
2020-07-29 17:38 UTC, John W. O'Brien
john: maintainer-approval? (sunpoet)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2020-07-27 14:25:29 UTC
Created attachment 216801 [details]
www/py-feedgenerator: Replace gratuitous non-ASCII characters

Changelog
=========

*   Use single quote (0x27) instead of RIGHT SINGLE QUOTATION MARK (U+2019)


QA
==

portlint: OK
poudriere: OK -- testport on 12.1-RELEASE amd64 w/py27, py35, py36, py37 (default), and py38


Notes
=====

This enables the port to be built where locale.getpreferredencoding(False) returns 'ASCII', and makes portlint happier. Also submitted upstream:

https://github.com/getpelican/feedgenerator/pull/18
Comment 1 John W. O'Brien 2020-07-29 04:01:57 UTC
Upstream appears to prefer an alternative solution:

https://github.com/getpelican/feedgenerator/pull/20
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-29 09:10:40 UTC
@John I hadn't looked at the patch. decoding as UTF-8 is the correct method
Comment 3 John W. O'Brien 2020-07-29 17:38:16 UTC
Created attachment 216864 [details]
www/py-feedgenerator: Explicitly decode README as UTF-8

Changelog
=========

*   Explicitly decode README as UTF-8
*   Use single quote (0x27) instead of RIGHT SINGLE QUOTATION MARK (U+2019) in pkg-descr


QA
==

portlint: OK
poudriere: OK -- testport on 12.1-RELEASE amd64 w/py27, py35, py36, py37 (default), and py38


Notes
=====

Also submitted upstream:

https://github.com/getpelican/feedgenerator/pull/20
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-30 03:15:38 UTC
If the current version causes a build, run, package failure, the change is:

Approved by: portmgr (blanket: build fix)
MFH: <branch> (blanket: build fix)
Comment 5 commit-hook freebsd_committer 2020-07-30 09:55:37 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Jul 30 09:54:35 UTC 2020
New revision: 543783
URL: https://svnweb.freebsd.org/changeset/ports/543783

Log:
  Handle encoding properly

  - Process README.rst using UTF-8
  - Use ASCII character instead of UTF-8 in pkg-descr
  - Bump PORTREVISION for package change

  PR:		248295
  Submitted by:	John W. O'Brien <john@saltant.com>

Changes:
  head/www/py-feedgenerator/Makefile
  head/www/py-feedgenerator/files/
  head/www/py-feedgenerator/files/patch-setup.py
  head/www/py-feedgenerator/pkg-descr
Comment 6 commit-hook freebsd_committer 2020-07-30 10:05:40 UTC
A commit references this bug:

Author: sunpoet
Date: Thu Jul 30 10:05:34 UTC 2020
New revision: 543784
URL: https://svnweb.freebsd.org/changeset/ports/543784

Log:
  MFH: r543783

  Handle encoding properly

  - Process README.rst using UTF-8
  - Use ASCII character instead of UTF-8 in pkg-descr
  - Bump PORTREVISION for package change

  PR:		248295
  Submitted by:	John W. O'Brien <john@saltant.com>

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/www/py-feedgenerator/Makefile
  branches/2020Q3/www/py-feedgenerator/files/
  branches/2020Q3/www/py-feedgenerator/pkg-descr
Comment 7 Sunpoet Po-Chuan Hsieh freebsd_committer 2020-07-30 10:06:39 UTC
Committed. Thanks!